# Uses of Interface
com.sun.source.tree.CaseTree

Packages that use CaseTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of CaseTree in com.sun.source.tree

Methods in com.sun.source.tree that return types with arguments of type CaseTree
Modifier and Type
Method
Description
`List<? extends CaseTree>`
SwitchExpressionTree.`getCases()`
Returns the cases for the `switch` expression.
`List<? extends CaseTree>`
SwitchTree.`getCases()`
Returns the cases for the `switch` statement.
Methods in com.sun.source.tree with parameters of type CaseTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitCase(CaseTree node, P p)`
Visits a `CaseTree` node.

## Uses of CaseTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type CaseTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitCase(CaseTree node, P p)`
Visits a `CaseTree` node.
`R`
TreeScanner.`visitCase(CaseTree node, P p)`
Visits a `CaseTree` node.